Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy
Class WOGroovyBinding

    java.lang.Object
      Binding
          wogroovy.WOGroovyBinding

public class WOGroovyBinding
extends Binding

See Also:
  Serialized Form

Field Summary
`static String` | `EditingContextKey`
`static String` | `ModelGroupKey`
`static String` | `NotificationCenterKey`
`static String` | `ObjectStoreCoordinatorKey`
`static String` | `ResourceManagerKey`
`static String` | `SharedEditingContextKey`
`static String` | `TranscriptKey`

Constructor Summary
`WOGroovyBinding()`
`WOGroovyBinding(NSDictionary dictionary)`

Method Summary
`static WOGroovyBinding` | `defaultBinding()`
`static void` | `initializeBinding(WOGroovyBinding binding)`
`Object` | `objectForKey(String key)`
`Object` | `propertyForKey(String key)`
`static void` | `setDefaultBinding(WOGroovyBinding binding)`
`void` | `setObjectForKey(Object value, String key)`
`void` | `setPropertyForKey(Object value, String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TranscriptKey

    public static String TranscriptKey

### ObjectStoreCoordinatorKey

    public static String ObjectStoreCoordinatorKey

### ResourceManagerKey

    public static String ResourceManagerKey

### ModelGroupKey

    public static String ModelGroupKey

### NotificationCenterKey

    public static String NotificationCenterKey

### SharedEditingContextKey

    public static String SharedEditingContextKey

### EditingContextKey

    public static String EditingContextKey

Constructor Detail

### WOGroovyBinding

    public WOGroovyBinding()

### WOGroovyBinding

    public WOGroovyBinding(NSDictionary dictionary)

Method Detail

### defaultBinding

    public static WOGroovyBinding defaultBinding()

### initializeBinding

    public static void initializeBinding(WOGroovyBinding binding)

### setDefaultBinding

    public static void setDefaultBinding(WOGroovyBinding binding)

### propertyForKey

    public Object propertyForKey(String key)

### setPropertyForKey

    public void setPropertyForKey(Object value,
                                  String key)

### objectForKey

    public Object objectForKey(String key)

### setObjectForKey

    public void setObjectForKey(Object value,
                                String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD